glibmm: Glib::Container_Helpers::SListHandleIterator Class Reference

glibmm 2.33.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Glib::Container_Helpers::SListHandleIterator Class Reference
Helper classes

`#include <glibmm/slisthandle.h>`

List of all members.

## Public Types
typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef std::forward_iterator_tag | iterator_category
typedef CppType | value_type
typedef ptrdiff_t | difference_type
typedef value_type | reference
typedef void | pointer
## Public Member Functions
| SListHandleIterator (const GSList* node)
value_type | operator* () const
SListHandleIterator< Tr >& | operator++ ()
const SListHandleIterator< Tr > | operator++ (int)
bool | operator== (const SListHandleIterator< Tr >& rhs) const
bool | operator!= (const SListHandleIterator< Tr >& rhs) const

## Member Typedef Documentation

typedef Tr::CppType Glib::Container_Helpers::SListHandleIterator::CppType

typedef Tr::CType Glib::Container_Helpers::SListHandleIterator::CType

typedef ptrdiff_t Glib::Container_Helpers::SListHandleIterator::difference_type

typedef std::forward_iterator_tag Glib::Container_Helpers::SListHandleIterator::iterator_category

typedef void Glib::Container_Helpers::SListHandleIterator::pointer

typedef value_type Glib::Container_Helpers::SListHandleIterator::reference

typedef CppType Glib::Container_Helpers::SListHandleIterator::value_type

## Constructor & Destructor Documentation

Glib::Container_Helpers::SListHandleIterator::SListHandleIterator | ( | const GSList * | node | ) | `[inline, explicit]`

## Member Function Documentation

bool Glib::Container_Helpers::SListHandleIterator::operator!= | ( | const SListHandleIterator< Tr >& | rhs | ) | const`[inline]`

value_type Glib::Container_Helpers::SListHandleIterator::operator* | ( |  | ) | const`[inline]`

SListHandleIterator<Tr>& Glib::Container_Helpers::SListHandleIterator::operator++ | ( |  | ) | `[inline]`

const SListHandleIterator<Tr> Glib::Container_Helpers::SListHandleIterator::operator++ | ( | int |  | ) | `[inline]`

bool Glib::Container_Helpers::SListHandleIterator::operator== | ( | const SListHandleIterator< Tr >& | rhs | ) | const`[inline]`